Alokai

SapccApiGetPaymentDetailsListRequest

Request parameters for getPaymentDetailsList operation in SapccApi. SapccApiGetPaymentDetailsListRequest

interface SapccApiGetPaymentDetailsListRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly saved?: boolean;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetPaymentDetailsList
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetPaymentDetailsList
savedOptionalbooleanThe flag to mark if the detailed payment is a saved one. {boolean} SapccApiGetPaymentDetailsList
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetPaymentDetailsList

On this page